using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class BemsPriceMeta {
        [Key]
        public int PriceTypeId { get; set; }
        [Key]
        [Column(TypeName = "datetime")]
        public DateTime PublishDate { get; set; }
        public int? BasePrice { get; set; }
        [Column("01_00")]
        public double? _0100 { get; set; }
        [Column("01_01")]
        public double? _0101 { get; set; }
        [Column("01_02")]
        public double? _0102 { get; set; }
        [Column("01_03")]
        public double? _0103 { get; set; }
        [Column("01_04")]
        public double? _0104 { get; set; }
        [Column("01_05")]
        public double? _0105 { get; set; }
        [Column("01_06")]
        public double? _0106 { get; set; }
        [Column("01_07")]
        public double? _0107 { get; set; }
        [Column("01_08")]
        public double? _0108 { get; set; }
        [Column("01_09")]
        public double? _0109 { get; set; }
        [Column("01_10")]
        public double? _0110 { get; set; }
        [Column("01_11")]
        public double? _0111 { get; set; }
        [Column("01_12")]
        public double? _0112 { get; set; }
        [Column("01_13")]
        public double? _0113 { get; set; }
        [Column("01_14")]
        public double? _0114 { get; set; }
        [Column("01_15")]
        public double? _0115 { get; set; }
        [Column("01_16")]
        public double? _0116 { get; set; }
        [Column("01_17")]
        public double? _0117 { get; set; }
        [Column("01_18")]
        public double? _0118 { get; set; }
        [Column("01_19")]
        public double? _0119 { get; set; }
        [Column("01_20")]
        public double? _0120 { get; set; }
        [Column("01_21")]
        public double? _0121 { get; set; }
        [Column("01_22")]
        public double? _0122 { get; set; }
        [Column("01_23")]
        public double? _0123 { get; set; }
        [Column("02_00")]
        public double? _0200 { get; set; }
        [Column("02_01")]
        public double? _0201 { get; set; }
        [Column("02_02")]
        public double? _0202 { get; set; }
        [Column("02_03")]
        public double? _0203 { get; set; }
        [Column("02_04")]
        public double? _0204 { get; set; }
        [Column("02_05")]
        public double? _0205 { get; set; }
        [Column("02_06")]
        public double? _0206 { get; set; }
        [Column("02_07")]
        public double? _0207 { get; set; }
        [Column("02_08")]
        public double? _0208 { get; set; }
        [Column("02_09")]
        public double? _0209 { get; set; }
        [Column("02_10")]
        public double? _0210 { get; set; }
        [Column("02_11")]
        public double? _0211 { get; set; }
        [Column("02_12")]
        public double? _0212 { get; set; }
        [Column("02_13")]
        public double? _0213 { get; set; }
        [Column("02_14")]
        public double? _0214 { get; set; }
        [Column("02_15")]
        public double? _0215 { get; set; }
        [Column("02_16")]
        public double? _0216 { get; set; }
        [Column("02_17")]
        public double? _0217 { get; set; }
        [Column("02_18")]
        public double? _0218 { get; set; }
        [Column("02_19")]
        public double? _0219 { get; set; }
        [Column("02_20")]
        public double? _0220 { get; set; }
        [Column("02_21")]
        public double? _0221 { get; set; }
        [Column("02_22")]
        public double? _0222 { get; set; }
        [Column("02_23")]
        public double? _0223 { get; set; }
        [Column("03_00")]
        public double? _0300 { get; set; }
        [Column("03_01")]
        public double? _0301 { get; set; }
        [Column("03_02")]
        public double? _0302 { get; set; }
        [Column("03_03")]
        public double? _0303 { get; set; }
        [Column("03_04")]
        public double? _0304 { get; set; }
        [Column("03_05")]
        public double? _0305 { get; set; }
        [Column("03_06")]
        public double? _0306 { get; set; }
        [Column("03_07")]
        public double? _0307 { get; set; }
        [Column("03_08")]
        public double? _0308 { get; set; }
        [Column("03_09")]
        public double? _0309 { get; set; }
        [Column("03_10")]
        public double? _0310 { get; set; }
        [Column("03_11")]
        public double? _0311 { get; set; }
        [Column("03_12")]
        public double? _0312 { get; set; }
        [Column("03_13")]
        public double? _0313 { get; set; }
        [Column("03_14")]
        public double? _0314 { get; set; }
        [Column("03_15")]
        public double? _0315 { get; set; }
        [Column("03_16")]
        public double? _0316 { get; set; }
        [Column("03_17")]
        public double? _0317 { get; set; }
        [Column("03_18")]
        public double? _0318 { get; set; }
        [Column("03_19")]
        public double? _0319 { get; set; }
        [Column("03_20")]
        public double? _0320 { get; set; }
        [Column("03_21")]
        public double? _0321 { get; set; }
        [Column("03_22")]
        public double? _0322 { get; set; }
        [Column("03_23")]
        public double? _0323 { get; set; }
        [Column("04_00")]
        public double? _0400 { get; set; }
        [Column("04_01")]
        public double? _0401 { get; set; }
        [Column("04_02")]
        public double? _0402 { get; set; }
        [Column("04_03")]
        public double? _0403 { get; set; }
        [Column("04_04")]
        public double? _0404 { get; set; }
        [Column("04_05")]
        public double? _0405 { get; set; }
        [Column("04_06")]
        public double? _0406 { get; set; }
        [Column("04_07")]
        public double? _0407 { get; set; }
        [Column("04_08")]
        public double? _0408 { get; set; }
        [Column("04_09")]
        public double? _0409 { get; set; }
        [Column("04_10")]
        public double? _0410 { get; set; }
        [Column("04_11")]
        public double? _0411 { get; set; }
        [Column("04_12")]
        public double? _0412 { get; set; }
        [Column("04_13")]
        public double? _0413 { get; set; }
        [Column("04_14")]
        public double? _0414 { get; set; }
        [Column("04_15")]
        public double? _0415 { get; set; }
        [Column("04_16")]
        public double? _0416 { get; set; }
        [Column("04_17")]
        public double? _0417 { get; set; }
        [Column("04_18")]
        public double? _0418 { get; set; }
        [Column("04_19")]
        public double? _0419 { get; set; }
        [Column("04_20")]
        public double? _0420 { get; set; }
        [Column("04_21")]
        public double? _0421 { get; set; }
        [Column("04_22")]
        public double? _0422 { get; set; }
        [Column("04_23")]
        public double? _0423 { get; set; }
        [Column("05_00")]
        public double? _0500 { get; set; }
        [Column("05_01")]
        public double? _0501 { get; set; }
        [Column("05_02")]
        public double? _0502 { get; set; }
        [Column("05_03")]
        public double? _0503 { get; set; }
        [Column("05_04")]
        public double? _0504 { get; set; }
        [Column("05_05")]
        public double? _0505 { get; set; }
        [Column("05_06")]
        public double? _0506 { get; set; }
        [Column("05_07")]
        public double? _0507 { get; set; }
        [Column("05_08")]
        public double? _0508 { get; set; }
        [Column("05_09")]
        public double? _0509 { get; set; }
        [Column("05_10")]
        public double? _0510 { get; set; }
        [Column("05_11")]
        public double? _0511 { get; set; }
        [Column("05_12")]
        public double? _0512 { get; set; }
        [Column("05_13")]
        public double? _0513 { get; set; }
        [Column("05_14")]
        public double? _0514 { get; set; }
        [Column("05_15")]
        public double? _0515 { get; set; }
        [Column("05_16")]
        public double? _0516 { get; set; }
        [Column("05_17")]
        public double? _0517 { get; set; }
        [Column("05_18")]
        public double? _0518 { get; set; }
        [Column("05_19")]
        public double? _0519 { get; set; }
        [Column("05_20")]
        public double? _0520 { get; set; }
        [Column("05_21")]
        public double? _0521 { get; set; }
        [Column("05_22")]
        public double? _0522 { get; set; }
        [Column("05_23")]
        public double? _0523 { get; set; }
        [Column("06_00")]
        public double? _0600 { get; set; }
        [Column("06_01")]
        public double? _0601 { get; set; }
        [Column("06_02")]
        public double? _0602 { get; set; }
        [Column("06_03")]
        public double? _0603 { get; set; }
        [Column("06_04")]
        public double? _0604 { get; set; }
        [Column("06_05")]
        public double? _0605 { get; set; }
        [Column("06_06")]
        public double? _0606 { get; set; }
        [Column("06_07")]
        public double? _0607 { get; set; }
        [Column("06_08")]
        public double? _0608 { get; set; }
        [Column("06_09")]
        public double? _0609 { get; set; }
        [Column("06_10")]
        public double? _0610 { get; set; }
        [Column("06_11")]
        public double? _0611 { get; set; }
        [Column("06_12")]
        public double? _0612 { get; set; }
        [Column("06_13")]
        public double? _0613 { get; set; }
        [Column("06_14")]
        public double? _0614 { get; set; }
        [Column("06_15")]
        public double? _0615 { get; set; }
        [Column("06_16")]
        public double? _0616 { get; set; }
        [Column("06_17")]
        public double? _0617 { get; set; }
        [Column("06_18")]
        public double? _0618 { get; set; }
        [Column("06_19")]
        public double? _0619 { get; set; }
        [Column("06_20")]
        public double? _0620 { get; set; }
        [Column("06_21")]
        public double? _0621 { get; set; }
        [Column("06_22")]
        public double? _0622 { get; set; }
        [Column("06_23")]
        public double? _0623 { get; set; }
        [Column("07_00")]
        public double? _0700 { get; set; }
        [Column("07_01")]
        public double? _0701 { get; set; }
        [Column("07_02")]
        public double? _0702 { get; set; }
        [Column("07_03")]
        public double? _0703 { get; set; }
        [Column("07_04")]
        public double? _0704 { get; set; }
        [Column("07_05")]
        public double? _0705 { get; set; }
        [Column("07_06")]
        public double? _0706 { get; set; }
        [Column("07_07")]
        public double? _0707 { get; set; }
        [Column("07_08")]
        public double? _0708 { get; set; }
        [Column("07_09")]
        public double? _0709 { get; set; }
        [Column("07_10")]
        public double? _0710 { get; set; }
        [Column("07_11")]
        public double? _0711 { get; set; }
        [Column("07_12")]
        public double? _0712 { get; set; }
        [Column("07_13")]
        public double? _0713 { get; set; }
        [Column("07_14")]
        public double? _0714 { get; set; }
        [Column("07_15")]
        public double? _0715 { get; set; }
        [Column("07_16")]
        public double? _0716 { get; set; }
        [Column("07_17")]
        public double? _0717 { get; set; }
        [Column("07_18")]
        public double? _0718 { get; set; }
        [Column("07_19")]
        public double? _0719 { get; set; }
        [Column("07_20")]
        public double? _0720 { get; set; }
        [Column("07_21")]
        public double? _0721 { get; set; }
        [Column("07_22")]
        public double? _0722 { get; set; }
        [Column("07_23")]
        public double? _0723 { get; set; }
        [Column("08_00")]
        public double? _0800 { get; set; }
        [Column("08_01")]
        public double? _0801 { get; set; }
        [Column("08_02")]
        public double? _0802 { get; set; }
        [Column("08_03")]
        public double? _0803 { get; set; }
        [Column("08_04")]
        public double? _0804 { get; set; }
        [Column("08_05")]
        public double? _0805 { get; set; }
        [Column("08_06")]
        public double? _0806 { get; set; }
        [Column("08_07")]
        public double? _0807 { get; set; }
        [Column("08_08")]
        public double? _0808 { get; set; }
        [Column("08_09")]
        public double? _0809 { get; set; }
        [Column("08_10")]
        public double? _0810 { get; set; }
        [Column("08_11")]
        public double? _0811 { get; set; }
        [Column("08_12")]
        public double? _0812 { get; set; }
        [Column("08_13")]
        public double? _0813 { get; set; }
        [Column("08_14")]
        public double? _0814 { get; set; }
        [Column("08_15")]
        public double? _0815 { get; set; }
        [Column("08_16")]
        public double? _0816 { get; set; }
        [Column("08_17")]
        public double? _0817 { get; set; }
        [Column("08_18")]
        public double? _0818 { get; set; }
        [Column("08_19")]
        public double? _0819 { get; set; }
        [Column("08_20")]
        public double? _0820 { get; set; }
        [Column("08_21")]
        public double? _0821 { get; set; }
        [Column("08_22")]
        public double? _0822 { get; set; }
        [Column("08_23")]
        public double? _0823 { get; set; }
        [Column("09_00")]
        public double? _0900 { get; set; }
        [Column("09_01")]
        public double? _0901 { get; set; }
        [Column("09_02")]
        public double? _0902 { get; set; }
        [Column("09_03")]
        public double? _0903 { get; set; }
        [Column("09_04")]
        public double? _0904 { get; set; }
        [Column("09_05")]
        public double? _0905 { get; set; }
        [Column("09_06")]
        public double? _0906 { get; set; }
        [Column("09_07")]
        public double? _0907 { get; set; }
        [Column("09_08")]
        public double? _0908 { get; set; }
        [Column("09_09")]
        public double? _0909 { get; set; }
        [Column("09_10")]
        public double? _0910 { get; set; }
        [Column("09_11")]
        public double? _0911 { get; set; }
        [Column("09_12")]
        public double? _0912 { get; set; }
        [Column("09_13")]
        public double? _0913 { get; set; }
        [Column("09_14")]
        public double? _0914 { get; set; }
        [Column("09_15")]
        public double? _0915 { get; set; }
        [Column("09_16")]
        public double? _0916 { get; set; }
        [Column("09_17")]
        public double? _0917 { get; set; }
        [Column("09_18")]
        public double? _0918 { get; set; }
        [Column("09_19")]
        public double? _0919 { get; set; }
        [Column("09_20")]
        public double? _0920 { get; set; }
        [Column("09_21")]
        public double? _0921 { get; set; }
        [Column("09_22")]
        public double? _0922 { get; set; }
        [Column("09_23")]
        public double? _0923 { get; set; }
        [Column("10_00")]
        public double? _1000 { get; set; }
        [Column("10_01")]
        public double? _1001 { get; set; }
        [Column("10_02")]
        public double? _1002 { get; set; }
        [Column("10_03")]
        public double? _1003 { get; set; }
        [Column("10_04")]
        public double? _1004 { get; set; }
        [Column("10_05")]
        public double? _1005 { get; set; }
        [Column("10_06")]
        public double? _1006 { get; set; }
        [Column("10_07")]
        public double? _1007 { get; set; }
        [Column("10_08")]
        public double? _1008 { get; set; }
        [Column("10_09")]
        public double? _1009 { get; set; }
        [Column("10_10")]
        public double? _1010 { get; set; }
        [Column("10_11")]
        public double? _1011 { get; set; }
        [Column("10_12")]
        public double? _1012 { get; set; }
        [Column("10_13")]
        public double? _1013 { get; set; }
        [Column("10_14")]
        public double? _1014 { get; set; }
        [Column("10_15")]
        public double? _1015 { get; set; }
        [Column("10_16")]
        public double? _1016 { get; set; }
        [Column("10_17")]
        public double? _1017 { get; set; }
        [Column("10_18")]
        public double? _1018 { get; set; }
        [Column("10_19")]
        public double? _1019 { get; set; }
        [Column("10_20")]
        public double? _1020 { get; set; }
        [Column("10_21")]
        public double? _1021 { get; set; }
        [Column("10_22")]
        public double? _1022 { get; set; }
        [Column("10_23")]
        public double? _1023 { get; set; }
        [Column("11_00")]
        public double? _1100 { get; set; }
        [Column("11_01")]
        public double? _1101 { get; set; }
        [Column("11_02")]
        public double? _1102 { get; set; }
        [Column("11_03")]
        public double? _1103 { get; set; }
        [Column("11_04")]
        public double? _1104 { get; set; }
        [Column("11_05")]
        public double? _1105 { get; set; }
        [Column("11_06")]
        public double? _1106 { get; set; }
        [Column("11_07")]
        public double? _1107 { get; set; }
        [Column("11_08")]
        public double? _1108 { get; set; }
        [Column("11_09")]
        public double? _1109 { get; set; }
        [Column("11_10")]
        public double? _1110 { get; set; }
        [Column("11_11")]
        public double? _1111 { get; set; }
        [Column("11_12")]
        public double? _1112 { get; set; }
        [Column("11_13")]
        public double? _1113 { get; set; }
        [Column("11_14")]
        public double? _1114 { get; set; }
        [Column("11_15")]
        public double? _1115 { get; set; }
        [Column("11_16")]
        public double? _1116 { get; set; }
        [Column("11_17")]
        public double? _1117 { get; set; }
        [Column("11_18")]
        public double? _1118 { get; set; }
        [Column("11_19")]
        public double? _1119 { get; set; }
        [Column("11_20")]
        public double? _1120 { get; set; }
        [Column("11_21")]
        public double? _1121 { get; set; }
        [Column("11_22")]
        public double? _1122 { get; set; }
        [Column("11_23")]
        public double? _1123 { get; set; }
        [Column("12_00")]
        public double? _1200 { get; set; }
        [Column("12_01")]
        public double? _1201 { get; set; }
        [Column("12_02")]
        public double? _1202 { get; set; }
        [Column("12_03")]
        public double? _1203 { get; set; }
        [Column("12_04")]
        public double? _1204 { get; set; }
        [Column("12_05")]
        public double? _1205 { get; set; }
        [Column("12_06")]
        public double? _1206 { get; set; }
        [Column("12_07")]
        public double? _1207 { get; set; }
        [Column("12_08")]
        public double? _1208 { get; set; }
        [Column("12_09")]
        public double? _1209 { get; set; }
        [Column("12_10")]
        public double? _1210 { get; set; }
        [Column("12_11")]
        public double? _1211 { get; set; }
        [Column("12_12")]
        public double? _1212 { get; set; }
        [Column("12_13")]
        public double? _1213 { get; set; }
        [Column("12_14")]
        public double? _1214 { get; set; }
        [Column("12_15")]
        public double? _1215 { get; set; }
        [Column("12_16")]
        public double? _1216 { get; set; }
        [Column("12_17")]
        public double? _1217 { get; set; }
        [Column("12_18")]
        public double? _1218 { get; set; }
        [Column("12_19")]
        public double? _1219 { get; set; }
        [Column("12_20")]
        public double? _1220 { get; set; }
        [Column("12_21")]
        public double? _1221 { get; set; }
        [Column("12_22")]
        public double? _1222 { get; set; }
        [Column("12_23")]
        public double? _1223 { get; set; }

        [ForeignKey("PriceTypeId")]
        public virtual BemsPriceType PriceType { get; set; }
    }
}
